﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Spring.Data.NHibernate.Generic.Support;
using Spring.Data.NHibernate.Generic;
using SpringHiberate.dao.model;
using NHibernate;
using MyWeb.WebTemp.IDao;

namespace MyWeb.WebTemp.HibernateDao
{
    public class UserDaoHibernate : HibernateDaoSupport,IUserDao
    {
         #region IUserDao 成员
       
        public IList<MyWeb.WebTemp.Model.User> GetAllUsers()
        {
            return HibernateTemplate.LoadAll<MyWeb.WebTemp.Model.User>();             
        }

        public MyWeb.WebTemp.Model.User GetUserById(int Id)
        {
            return (MyWeb.WebTemp.Model.User)HibernateTemplate.Execute(new HibernateDelegate<MyWeb.WebTemp.Model.User>(delegate(NHibernate.ISession session)
            {
                StringBuilder sb = new StringBuilder();
                sb.Append("from User c  where c.Id=?");
                IQuery query = session.CreateQuery(sb.ToString());
                query.SetParameter(0, Id);
                return query.UniqueResult() as MyWeb.WebTemp.Model.User;
            }), true);
        }

        public bool AddUser(MyWeb.WebTemp.Model.User user)
        {
            if (HibernateTemplate.Save(user) != null)
            {
                return true;
            }
            return false;
        }

        public bool UpdateUser(MyWeb.WebTemp.Model.User user)
        {
            HibernateTemplate.Update(user);
            return true;
        }

        public bool AddOrUpdateUser(MyWeb.WebTemp.Model.User user)
        {
            HibernateTemplate.SaveOrUpdate(user);
            return true;
        }

        public bool DeleteUser(MyWeb.WebTemp.Model.User user)
        {
            HibernateTemplate.Delete(user);
            return true;
        }

        #endregion
    }
}
